$(function() {

  /* INTERACTIONS AVEC LE FORMULAIRE */

  /* script d'autocompletion */
  $("#pafBody").ssodnetautocomplete();

  /* loader */
  $("#pafLoader").hide();

  /* affiche la date courante pour start epoch */
  var c_time = new Date();
  var annee = c_time.getFullYear();
  var mois = c_time.getMonth()+1;
  if (mois < 10) { mois = "0"+mois; };
  var jour = c_time.getDate();
  if (jour < 10) { jour = "0"+jour; };
  $("#pafDatepickerStart").val(annee+"-"+mois+"-"+jour+" 00:00:00.0");

  /* affiche la date courante +7j pour end epoch */
  c_time.setTime( c_time.getTime() + 7*86400000);
  var annee = c_time.getFullYear();
  var mois = c_time.getMonth()+1;
  if (mois < 10) { mois = "0"+mois; };
  var jour = c_time.getDate();
  if (jour < 10) { jour = "0"+jour; };
  $("#pafDatepickerEnd").val(annee+"-"+mois+"-"+jour+" 00:00:00.0");

  /* calendrier, format */
  $("#pafDatepickerStart").datepicker({dateFormat: 'yy-mm-dd 00:00:00.0'});
  $("#pafDatepickerEnd").datepicker({dateFormat: 'yy-mm-dd 00:00:00.0'});

  /* msg erreur */
  $(".msg_error").click(function(){
    $(this).parents("div").find("div[id='error']").hide();
  });

	/* fonction de mise en surbrillance du div survolé */
	$(".surbrille").hover(function(){
		$(this).addClass("pafBloc_over");
	},function(){
		$(this).removeClass("pafBloc_over");
	});

  /* SOUMISSION DU FORMULAIRE */

  $("#pafButton").click(function(){ 
    // Get form params
    var target = $("#pafBody").val();
    var epoch = $("#pafDatepickerStart").val();
    epoch = epoch.concat(", "+$("#pafDatepickerEnd").val());
    epoch = epoch.concat(", "+$("#pafStepSize").val()+" - "+$("#pafStepSizeUnit").val());
    var refcenter = $("#pafObsSite").val();
    var pafparams = $("#pafParams").val();
    // Build request to post
    var p = 'paf_body=' + target + '&paf_epoch=' + epoch + '&paf_refcenter=' + encodeURIComponent(refcenter) + '&paf_params=' + pafparams; 
    // Action
    $.ajax({
      url: './lib/paf-miriade.php',
      async: true,
      type: 'POST',
      data: p + '&action=Paf',
      dataType: 'html',
      beforeSend: function(xhr) {
        $("#pafLoader").show();
      },
      success: function(output, status, xhr) {
        $("#pafLoader").hide();
        $('#PafResult').html(output);
        $(".msg_error").click(function(){ $('#error').hide(); });
      },
      error: function(xhr, status, exception) {
        $("#pafLoader").hide();
        $('#PafResult').html(exception);
        $(".msg_error").click(function(){ $('#error').hide(); });
      }
    });
  }); 

});
